Skip to content

Reject Candidate

POST
/api/v1/knowledge-graph/candidates/{candidate_id}/reject
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/knowledge-graph/candidates/example/reject \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "reason": "example" }'

Reject a staging candidate with a reason.

candidate_id
required
Candidate Id
string
Media typeapplication/json
RejectRequest
object
reason
required
Reason
string
Examplegenerated
{
"reason": "example"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}